Page MenuHomePhabricator

Throw the proper exception on a regex range error
ClosedPublic

Authored by Mordante on May 11 2019, 12:44 PM.

Details

Reviewers
mclow.lists
Summary

While looking at bug 39575 I noticed the wrong exception was thrown. This fixes the exception thrown and adds a unit test.

Diff Detail

Event Timeline

Mordante created this revision.May 11 2019, 12:44 PM
mclow.lists accepted this revision.May 23 2019, 9:00 AM

LGTM - thanks!
Do you need me to commit this?

This revision is now accepted and ready to land.May 23 2019, 9:00 AM

Thanks for the review.
Yes, please commit it for me since I don't have commit access.

mclow.lists closed this revision.May 28 2019, 3:39 PM

Landed as revision 361887.